package com.gic.auth.service;

import com.gic.auth.dto.BusinessFrontResDTO;
import com.gic.auth.entity.TabSysBusinessFrontRes;

import java.util.List;

public interface BusinessFrontResService {
    Integer save(BusinessFrontResDTO dto);

    void edit(BusinessFrontResDTO dto);

    void delete(Integer resourceId);

    List<TabSysBusinessFrontRes> listByParam(String search, Integer resourceType);

    /**
     * 根据code查询页面
     * @param code
     * @param resourceType
     * @return
     */
    List<TabSysBusinessFrontRes> listByCode(String code, Integer resourceType);

    TabSysBusinessFrontRes getByResourceId(Integer resourceId);
}
